Tour

computerchesslessons

These are the minimum technical requirements necessary to use ZoomChess on your computer.

1. Windows XP, Windows 7, Mac OSX 10.4 and above

2. The latest version of Mozilla Firefox

3. The latest version of Java

4. Cookies enabled

5. Pop-ups enabled

6. Java script enabled

7. Domain Zoomchess.com and all subdomains of ZoomChess.com must be allowed through your school’s proxy/content filtering system.

For technical support questions, please see our Frequently Asked Questions

Comments are closed.